MailSessionDefinition (JavaMail API documentation)
Date: 2018-05-06

javax.mail

## Annotation Type MailSessionDefinition

-     @Target(value=TYPE)
      @Retention(value=RUNTIME)
      public @interface MailSessionDefinition

  Annotation used by Java EE applications to define a `MailSession` to be registered with JNDI. The `MailSession` may be configured by setting the annotation elements for commonly used `Session` properties. Additional standard and vendor-specific properties may be specified using the `properties` element.

  The session will be registered under the name specified in the `name` element. It may be defined to be in any valid `Java EE` namespace, and will determine the accessibility of the session from other components.
  Since:
    JavaMail 1.5

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `name` JNDI name by which the mail session will be registered.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `description` Description of this mail session.
    `java.lang.String` | `from` From address for the user.
    `java.lang.String` | `host` Host name for the mail server.
    `java.lang.String` | `password` Password to use for authentication.
    `java.lang.String[]` | `properties` Properties to include in the Session.
    `java.lang.String` | `storeProtocol` Store protocol name.
    `java.lang.String` | `transportProtocol` Transport protocol name.
    `java.lang.String` | `user` User name to use for authentication.

- - ### Element Detail

    - #### name

          public abstract java.lang.String name

      JNDI name by which the mail session will be registered.

    - #### description

          public abstract java.lang.String description

      Description of this mail session.
      Default:
        ""

    - #### storeProtocol

          public abstract java.lang.String storeProtocol

      Store protocol name.
      Default:
        ""

    - #### transportProtocol

          public abstract java.lang.String transportProtocol

      Transport protocol name.
      Default:
        ""

    - #### host

          public abstract java.lang.String host

      Host name for the mail server.
      Default:
        ""

    - #### user

          public abstract java.lang.String user

      User name to use for authentication.
      Default:
        ""

    - #### password

          public abstract java.lang.String password

      Password to use for authentication.
      Default:
        ""

    - #### from

          public abstract java.lang.String from

      From address for the user.
      Default:
        ""

    - #### properties

          public abstract java.lang.String[] properties

      Properties to include in the Session. Properties are specified using the format: propertyName=propertyValue with one property per array element.
      Default:
        {}

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.